RDKit::MCSParameters Struct Reference

`#include <FMCS.h>`

## Public Attributes

bool | MaximizeBonds = true
double | Threshold = 1.0
unsigned | Timeout = -1
bool | Verbose = false
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper = MCSAtomCompareElements
MCSBondCompareFunction | BondTyper = MCSBondCompareOrder
void * | CompareFunctionsUserData = nullptr
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData = nullptr
MCSFinalMatchCheckFunction | FinalMatchChecker
std::string | InitialSeed = ""

## Detailed Description

Definition at line 94 of file FMCS.h.

## Member Data Documentation

## AtomCompareParameters

MCSAtomCompareParameters RDKit::MCSParameters::AtomCompareParameters

Definition at line 99 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## AtomTyper

MCSAtomCompareFunction RDKit::MCSParameters::AtomTyper = MCSAtomCompareElements

Definition at line 101 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondCompareParameters

MCSBondCompareParameters RDKit::MCSParameters::BondCompareParameters

Definition at line 100 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondTyper

MCSBondCompareFunction RDKit::MCSParameters::BondTyper = MCSBondCompareOrder

Definition at line 102 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## CompareFunctionsUserData

void* RDKit::MCSParameters::CompareFunctionsUserData = nullptr

Definition at line 103 of file FMCS.h.

## FinalMatchChecker

MCSFinalMatchCheckFunction RDKit::MCSParameters::FinalMatchChecker

Initial value:
=
nullptr

Definition at line 107 of file FMCS.h.

## InitialSeed

std::string RDKit::MCSParameters::InitialSeed = ""

Definition at line 109 of file FMCS.h.

## MaximizeBonds

bool RDKit::MCSParameters::MaximizeBonds = true

Definition at line 95 of file FMCS.h.

## ProgressCallback

MCSProgressCallback RDKit::MCSParameters::ProgressCallback

Initial value:
=
nullptr

Definition at line 104 of file FMCS.h.

## ProgressCallbackUserData

void* RDKit::MCSParameters::ProgressCallbackUserData = nullptr

Definition at line 106 of file FMCS.h.

## Threshold

double RDKit::MCSParameters::Threshold = 1.0

Definition at line 96 of file FMCS.h.

## Timeout

unsigned RDKit::MCSParameters::Timeout = -1

Definition at line 97 of file FMCS.h.

## Verbose

bool RDKit::MCSParameters::Verbose = false

Definition at line 98 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h